<template>
  <div class="container">
    <header>
      <nuxt-link to="/">Home</nuxt-link>
      <nuxt-link to="/about">About</nuxt-link>
    </header>
    <main>
      <nuxt />
    </main>
    <footer>
      Copyright {{ new Date().getFullYear() }}
    </footer>
  </div>
</template>

<style>
.container {
  max-width: 800px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  padding: 20px;
  background-color: rgba(255, 255, 255, 10%);
}

main {
  flex: 1;
  padding: 20px;
}

footer {
  padding: 20px;
  background-color: rgba(255, 255, 255, 10%);
  text-align: center;
}
</style>
